summaryrefslogtreecommitdiffstats
path: root/audio
diff options
context:
space:
mode:
author Kusmin <alk643@nm.ru>2011-10-22 00:47:59 -0200
committer Niels Horn <niels.horn@slackbuilds.org>2011-10-22 00:47:59 -0200
commitbc62703ddf604c8b41f727ec6346a0c05bb002c3 (patch)
tree163c22527c0a4aeef6cc9c4819b81bd4ef41c2bb /audio
parent3515f10a978d6b66c285dc0ed306c592eff3315a (diff)
downloadslackbuilds-bc62703ddf604c8b41f727ec6346a0c05bb002c3.tar.gz
slackbuilds-bc62703ddf604c8b41f727ec6346a0c05bb002c3.tar.xz
audio/mp3wrap: Added (wrap multiple mp3 files into one)
Signed-off-by: Niels Horn <niels.horn@slackbuilds.org>
Diffstat (limited to 'audio')
-rw-r--r--audio/mp3wrap/README12
-rw-r--r--audio/mp3wrap/mp3wrap.SlackBuild89
-rw-r--r--audio/mp3wrap/mp3wrap.info10
-rw-r--r--audio/mp3wrap/slack-desc19
4 files changed, 130 insertions, 0 deletions
diff --git a/audio/mp3wrap/README b/audio/mp3wrap/README
new file mode 100644
index 0000000000..d09f986889
--- /dev/null
+++ b/audio/mp3wrap/README
@@ -0,0 +1,12 @@
+Mp3Wrap is a free independent alternative to AlbumWrap. It's a
+command-line utility that wraps quickly two or more mp3 files in one
+single large playable mp3, without losing filenames and ID3 informations
+(and without need of decoding/encoding). Also with the possibility of
+including other non mp3 files, such as PlayLists, info files, cover
+images, inside the mp3. This means that you obtain a large mp3 that you
+can split in any moment just using mp3splt and in few seconds you have
+all original files again! It's useful because files created with Mp3Wrap
+are easy to download. Infact who downloads has not to know each single
+song name and easy to play and even if you don't have mp3splt to split
+file, you can listen to it anyway. MP3Wrap the Free AlbumWrap.
+
diff --git a/audio/mp3wrap/mp3wrap.SlackBuild b/audio/mp3wrap/mp3wrap.SlackBuild
new file mode 100644
index 0000000000..46a48033cb
--- /dev/null
+++ b/audio/mp3wrap/mp3wrap.SlackBuild
@@ -0,0 +1,89 @@
+#!/bin/sh
+
+# Slackware build script for mp3wrap
+
+# Based on a number of SlackBuild scripts found on http://slackbuilds.org
+
+PRGNAM=mp3wrap
+VERSION=0.5
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION-src.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --enable-shared \
+ --enable-samples \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS COPYING ChangeLog INSTALL NEWS README \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+
+mv doc/*html $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/audio/mp3wrap/mp3wrap.info b/audio/mp3wrap/mp3wrap.info
new file mode 100644
index 0000000000..5e61756864
--- /dev/null
+++ b/audio/mp3wrap/mp3wrap.info
@@ -0,0 +1,10 @@
+PRGNAM="mp3wrap"
+VERSION="0.5"
+HOMEPAGE="http://mp3wrap.sourceforge.net/"
+DOWNLOAD="http://downloads.sourceforge.net/mp3wrap/mp3wrap-0.5-src.tar.gz"
+MD5SUM="096b46295cbe3ee2f02ca7792517dc36"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Kusmin"
+EMAIL="alk643@nm.ru"
+APPROVED="Niels Horn"
diff --git a/audio/mp3wrap/slack-desc b/audio/mp3wrap/slack-desc
new file mode 100644
index 0000000000..859ba08fb2
--- /dev/null
+++ b/audio/mp3wrap/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|' on
+# the right side marks the last column you can put a character in. You must make
+# exactly 11 lines for the formatting to be correct. It's also customary to
+# leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+mp3wrap: mp3wrap (wrap multiple mp3 files into one)
+mp3wrap:
+mp3wrap: Mp3Wrap is a free independent alternative to AlbumWrap. It's a
+mp3wrap: command-line utility that wraps quickly two or more mp3 files in
+mp3wrap: one single large playable mp3, without losing filenames and ID3
+mp3wrap: informations (and without need of decoding/encoding). Also with
+mp3wrap: the possibility of including other non mp3 files, such as
+mp3wrap: PlayLists, info files, cover images, inside the mp3. This means
+mp3wrap: that you obtain a large mp3 that you can split in any moment just
+mp3wrap: using mp3splt and in few seconds you have all original files
+mp3wrap: again!